<!DOCTYPE html>

<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie9 lt-ie8" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
<head>
<script type="text/javascript">var _sf_startpt=(new Date()).getTime()</script>
<title>Testing in the Sandbox - Evernote Developers</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width" />
<!-- Standard iPhone -->
<link rel="apple-touch-icon" sizes="57x57" href="/foundation/images/touch-icon-iphone-114.png" />
<!-- Retina iPhone -->
<link rel="apple-touch-icon" sizes="114x114" href="/foundation/images/touch-icon-iphone-114.png" />
<!-- Standard iPad -->
<link rel="apple-touch-icon" sizes="72x72" href="/foundation/images/touch-icon-ipad-144.png" />
<!-- Retina iPad -->
<link rel="apple-touch-icon" sizes="144x144" href="/foundation/images/touch-icon-ipad-144.png" />
<link rel="shortcut icon" type="image/x-icon" href="/favicon.ico" />
<link rel="stylesheet" href="/foundation/stylesheets/foundation.css">
<link rel="stylesheet" href="/foundation/stylesheets/fonts.css">
<link rel="stylesheet" href="/foundation/stylesheets/accessibility_foundicons.css">
<link rel="stylesheet" href="/foundation/stylesheets/general_enclosed_foundicons.css">
<!-- <link rel="stylesheet" href="/foundation/stylesheets/general_foundicons.css"> -->
<link rel="stylesheet" href="/foundation/stylesheets/app.css">
<link rel="stylesheet" href="//code.jquery.com/ui/1.9.2/themes/base/jquery-ui.css">
<link rel="stylesheet" href="/zendesk/css/forms.css">
<link rel="stylesheet" href="/foundation/stylesheets/glossary.css">
<link rel="stylesheet" href="/media/css/tabbed.css" type="text/css">

<script type="text/javascript"> if (!window.console) console = {log: function() {}}; </script>
<script src="/foundation/javascripts/modernizr.foundation.js"></script>

<!--[if lt IE 9]>
    <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<!--[if lt IE 8]>
    <link rel="stylesheet" href="/foundation/stylesheets/accessibility_foundicons_ie7.css">
    <link rel="stylesheet" href="/foundation/stylesheets/general_foundicons_ie7.css">
    <link rel="stylesheet" href="/foundation/stylesheets/general_enclosed_foundicons_ie7.css">
<![endif]-->

</head>

<body class="nav_developers cloud testing">
<div id="keyformcontainer" class="row" style="display:none;">
  <div id="apikeyoutput" class="twelve columns" style="display:none;">
    <div class="row">
      <div class="twelve columns build">
        <h4>Your Evernote API key has been generated</h4>
      </div>
      <div class="six columns">
        <fieldset>
          <legend>Your Evernote API Key</legend>
          <p><em>API access details for your records:</em><br>
            <span class="label">Consumer Key:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span> <code id="consumer_key">::consumer key goes here::</code><br>
            <span class="label alert">Consumer Secret:</span> <code id="consumer_secret">::consumer secret goes here::</code><br>
            <span class="label secondary">Note:</span> <span class="subheader">This info will also be emailed to you shortly</span>
          </p>
        </fieldset>
      </div><!-- exit .six .columns -->
      <div class="six columns">
        <p><br>Your Evernote API key is now active on our development server, <strong>sandbox.evernote.com</strong>, for <a title="How to test in Evernote's sandbox" href="/start/core/testing.php">testing and building your application</a>.</p>
        <p><strong>Remember</strong> that you key is <b>not</b> active on the 'live' Evernote service <strong>evernote.com</strong> for general use. Once your project is ready for public use, you'll need to have your key <a href="/support/glossary.php#k">activated</a> for production use.</p>
      </div><!-- exit .six .columns -->
      <div class="twelve columns centered">
        <p class="build"><span class="label">Tip:</span>&nbsp;From beginner to advanced, explore our <a href="/start/">getting started guides &raquo;</a></p>
        <p><a href="#" class="button expand secondary">Close</a><br/></p>
      </div><!-- exit .twelve .columns -->
    </div><!-- exit .row -->
  </div><!-- exit #apikeyoutput -->

  <div id="apikeyerror" class="twelve columns" style="display:none;">
    <div class="row">
      <div class="twelve columns build">
        <h4>Error: Your Evernote API Key could not be activated</h4>
        <p>There was an error generating your Evernote API Key.</p>
        <p>Please try your request again. If that doesn't work, get in touch with <a href="/support/">Developer Support</a>.</p>
        <p><a href="#" class="button expand secondary">Close</a><br/></p>
      </div><!-- exit .twelve .columns -->
    </div><!-- exit .row -->
  </div>
  <div id="apikeyform" class="row"><br>
  <div class="twelve columns"><h4>Request an Evernote API Key.</h4><br></div>
    <div class="six columns">
      <form method="post" action="/key.php" id="keyform">
        <input type="hidden" name="ipAddress" id="ipAddress" value="8.40.140.115, 130.211.40.58">
        <input type="hidden" name="language" id="language" value="en">
        <div class="row">
          <div class="four columns">
            <label class="right inline">Evernote Username</label>
          </div>
          <div class="eight columns">
            <input name="username" type="text" >
          </div>
          <div class="four columns">
            <label class="right inline">Developer Name</label>
          </div>
          <div class="eight columns">
            <input name="contactName" type="text" >
          </div>
          <div class="four columns">
            <label class="right inline">Developer Email</label>
          </div>
          <div class="eight columns">
            <input name="contactEmail" type="text">
          </div>
          <div class="four columns">
            <label class="right inline">Organization</label>
          </div>
          <div class="eight columns">
            <input name="organization" type="text" >
          </div>
          <div class="four columns">
            <label class="right inline">App Name</label>
          </div>
          <div class="eight columns">
            <input name="appName" type="text" >
          </div>
          <div class="four columns">
            <label class="right inline">Describe app</label>
          </div>
          <div class="eight columns">
            <textarea id="key-description" name="details"></textarea>
          </div>
        </div>
      </div>
      <div class="six columns">

        <fieldset class="apiAccessFS">
          <span class="label radius">Note:</span> Review the <a href="/start/core/permissions.php" target="_blank">API Permissions documentation &raquo;</a><br/><br/>
          <legend>API Permissions</legend> <label>Select the access level that your app will need:</label>
          <label for="radio-basic"><input name="type" type="radio" value="creator" checked> <strong>Basic Access</strong></label>
          <label for="radio-full"><input name="type" type="radio" value="oauth"> <strong>Full Access</strong></label>
          <br>
        </fieldset>
        <label for="fullsync"><input name="fullsync" type="checkbox" value="fullsync" id="fullsync">This integration will sync all user data. (<a href="/support/glossary.php#f">?</a>)</label>
        <label for="listsub"><input name="chimplist" type="checkbox" id="listsub" checked>Subscribe to Evernote developer updates via email</label>
        <label for="licagree"><input name="agreement" type="checkbox" id="licagree">I agree to the terms of the <a target="_blank" href="/doc/reference/api_license.php">Evernote API License Agreement</a>.</label><br/>

        
        
        <input type="hidden" id="hpts" name="hpts" />
        <input type="hidden" id="hptsh" name="hptsh" />

        
        <script type="text/javascript">
          var form = document.getElementById("keyform");
          var handler = function() {
            document.getElementById("hpts").value = "1586079093";
            document.getElementById("hptsh").value = "f4c4a17b3eb517f42d5ee0eece24705beb776f2f";
          };

          if (form.addEventListener) {
            form.addEventListener("submit", handler, false);
          } else if (form.attachEvent) {
            form.attachEvent("onsubmit", handler);
          }
        </script>

        
        <input type="submit" id="apisubmit" value="Request Key" class="rounded button" disabled="disabled"> <a href="#">Cancel</a>
      </form>
    </div>
  </div><!-- Exit new API key registrations -->
</div>
<div class="summa">
	<div class="fixed">
	<nav class="top-bar">
		<ul>
			<li class="name">
				<h1><a href="/"><img class="mads" src="/foundation/images/evernote.svg" alt="Evernote Logo" height="32" width="145"/></a></h1>
			</li>
			<li class="toggle-topbar"><a href="#"></a></li>
		</ul>
	
		<section>
			<ul class="left">
				<li class="divider"></li>		
				<li class="search">
					<form method="get" action="/search">
						<input style="radius" type="search" name="q" placeholder="Search">
					</form>
				</li>
				<li class="divider"></li>
				<li class="has-dropdown">
					<a href="/doc/">Docs</a>
						<ul class="dropdown">
				    		<li><label>Evernote API</label></li>
							<li><a href="/doc/#start" class="">Quick Start Guides</a></li>
							<li><a href="/doc/#articles" class="">Topics</a></li>
							<li><a href="/doc/#reference" class="">API Reference</a></li>
							<li><a href="/support/glossary.php" class="">Glossary</a></li>
				    		<li class="divider"></li>
				    		<li><label>The App Center</label></li>
				    		<li><a href="/appcenter/">Submit Your App</a></li>
				    		<li><a href="/appcenter/best_practices.php">App Best Practices</a></li>
				  		</ul>
				</li>
				<li class="divider"></li>
				<li class="has-dropdown">
					<a href="#">Resources</a>
						<ul class="dropdown">
				    		<li><label>Community</label></li>
				    		<li><a href="/events/" class="">Hackathons &amp; Events</a></li>
				    		<li><a href="/benefits/" class="">Why Evernote?</a></li>
				    		<li><a href="/video/" class="">Talks &amp; Videos</a></li>
				    		<li><a href="/support/">Developer Support</a></li>
				    		<li class="divider"></li>
				    		<li><label>Connect</label></li>
				    		<li><a href="http://blog.evernote.com/tech/" class="">Tech Blog</a></li>
				    		<li><a href="http://stackoverflow.com/tags/evernote" class="">Evernote on Stack Overflow</a></li>
				    		<li><a href="https://github.com/evernote" class="">Evernote on Github</a></li>
				    		<li><a href="https://discussion.evernote.com/forum/163-third-party-application-discussions/">Developer Forum</a></li>
				    		<li class="divider"></li>
				    		<li><label>Developer Tools</label></li>
				    		<li><a href="#" class="activationFormLink">Activate an API Key</a></li>
				  		</ul>
				</li>
				

				
			</ul>
			<ul class="right">
				<li class="has-button"><a class="tiny button radius" id="apikeybutton" href="#"><i class="foundicon-key"></i> GET AN API KEY&nbsp;</a></li> 
				<li class="divider"></li>
				<li><a href="http://evernote.com">evernote.com</a></li>
			</ul>
		</section>
	</nav><!-- exit .top-bar -->
	</div>

	<!-- Main Page Content and Sidebar -->
	<div class="row">

		<div id="content" class="nine columns">

			<h3>Testing in the Sandbox</h3> 
			<h4 class="subheader">Using Evernote's development server</h4>
			<hr/>

			<div class="toRemember">
				<h5>Overview</h5>
			   <p>
			     When you get a new API key from us, it will only work in our sandbox. The sandbox is a separate instance of the Evernote service, designed as a safe environment for you to develop your applications without worrying about messing up your actual Evernote account or impacting our production service. 
			   </p>
			</div>
			
			<h4>Sandbox User Accounts</h4>
			<p>
			Because it's a separate instance of our service, your real Evernote account won't work on the sandbox. To get started testing, create a new sandbox user account at <a href="https://sandbox.evernote.com/Registration.action">https://sandbox.evernote.com</a>. Feel free to create as many accounts as you need for testing on the sandbox. The sandbox isn't connected to a real commerce service, so if you need one or more of your sandbox account upgraded to Premium, please <a href="/support/">open a support inquiry</a> and we'll upgrade them for you. Be sure to include the username(s) of the accounts that you want upgraded in your support request.
			</p>
			
			<h4>Sandbox Endpoint URLs</h4>
			<p>
			To use the sandbox in your application, simply change the hostname in the Cloud API endpoint URLs:
			</p>
			<ul>
			<li><b>Sandbox:</b> <a href="https://sandbox.evernote.com">https://sandbox.evernote.com/</a></li>
			<li><b>Production (International):</b> <a href="https://www.evernote.com">https://www.evernote.com/</a></li>
			<li><b>Production (China):</b> <a href="https://app.yinxiang.com">https://app.yinxiang.com/</a></li>
			</ul>
			
			<p>
			For example, to access the NoteStore on the shard <code>&lt;shardId&gt;</code>, you will use the following URLs:
			</p>
			
			<p>
			<b>Sandbox:</b> https://sandbox.evernote.com/edam/note/<code>&lt;shardId&gt;</code><br>
			<b>Production (International):</b> https://www.evernote.com/edam/note/<code>&lt;shardId&gt;</code><br>
			<b>Production (China):</b> https://app.yinxiang.com/edam/note/<code>&lt;shardId&gt;</code>
			</p>
			
			<h4>Getting out of the Sandbox</h4>
			<p>
			Once you have completed your development and testing on the sandbox, <a href="/support/">submit a key activation request</a> and we'll activate your API key on the production Evernote service.
			</p>
            <a name="login"></a>
			
			<h3>Accessing the Sandbox from Evernote Apps</h3>
			<p>
			During testing, you may want to access your sandbox account from one our apps. How you do this varies depending on the app that you're using. <b>Before you follow any of the instructions below, synchronize your production account to ensure that all of your local notes have been sent to our service.</b>
			</p>
			
			<h5>Evernote for Windows</h5>
			<ol>
			  <li>Quit Evernote from the File menu. If prompted, confirm that you'd like to fully exit Evernote.</li>
			  <li>Run regedit</li>
			  <li>Open the key HKEY_CURRENT_USER\Software\Evernote</li>
			  <li>Edit the string value SyncServiceUrl, changing <i>www.evernote.com</i> to <i>sandbox.evernote.com</i>.</li>
			  <li>Quit regedit</li>
			  <li>Open Evernote and log in to your sandbox account</li>
			</ol>
<!-- Currently trying to find a working way to do this
			<h5>Evernote for Mac OS X</h5>
			<ol>
			  <li>Quit Evernote from the elephant icon in your menu bar.</li>
			  <li>Open a terminal.</li>
			  <li>Move your existing Evernote data directory:
			    <ul>
			      <li>mv ~/Library/Application\ Support/Evernote ~/Library/Application\ Support/Evernote.production</li>
			    </ul>
			  </li>
			  <li>Change the API endpoings by running the the command line below:
			    <ul>
			      <li>defaults delete com.evernote.Evernote</li>
			      <li>defaults write com.evernote.Evernote noteStoreURL http://sandbox.evernote.com/edam/note</li>
			      <li>defaults write com.evernote.Evernote userStoreURL https://sandbox.evernote.com/edam/user</li>
			    </ul>
			  </li>
			  <li>Open Evernote and log in to your sandbox account</li>
			</ol>
-->
			
			<h5>Android</h5>
			<ol>
			<li>
			Close the Evernote app
			</li>
			<li>
			Copy the <a href="/media/dev/bootstrap">bootstrap file</a> to the <b>/sdcard/Android/data/com.evernote/files/</b> directory
			<ul><li><b>Note:</b> devices w/o an SDCARD drive will be <b>/Android/data/com.evernote/files/</b></li></ul></li>
			<li>
			Restart the Evernote app
			</li>
			</ol>
			
			<h5>iOS and other mobile applications</h5>
			<p>
			Log out of Evernote. At the log in screen, enter your sandbox username and password, then append "#sandbox.evernote.com" to the username and log in. For example, to log into the sandbox account "foo" with the password "bar", you would enter the following:
			</p>
			<p>
			<b>Username:</b> foo#sandbox.evernote.com
			<br>
			<b>Password:</b> bar
			</p>

			<h5>Evernote for Mac</h5>
			<p> To use a sandbox account with the Evernote for Mac client:
			<ol>
				<li>Quit the Evernote application</li>
				<li>Open up a terminal window and type:</li>
					<b>defaults write com.evernote.Evernote ENSubstituteServerName sandbox.evernote.com</b>
				<li> Open Evernote and login using your sandbox credentials</li>
			</ol>
			<p> To revert back to the production version of Evernote after configuring the Evernote for Mac client to work with the sandbox as outlined above:</p>
			<ol>
				<li>Quit the Evernote application</li>
				<li>Open up a terminal window and type:<br>
					<b>defaults delete com.evernote.Evernote ENSubstituteServerName</b>
				</li>
				<li> Open Evernote and login using your production credentials</li>
					
					</div><!-- exit .content .nine -->

					<!-- Sidebar -->

					<div class="three columns">
						
<div class="topics">
    <div class="refs">
        <ul class="topics reftopics">
            <li><a href="/doc/reference">API Reference</a></li>
            <li><a href="/doc/reference/ios/">iOS SDK Reference</a></li>
            <li><a href="/doc/reference/android">Android SDK Reference</a></li>
        </ul>
    </div>
    <div class="">
    <p><strong>Quick-start Guides</strong></p>
    <ul class="topics ">
                    <li class="android">
           <a href="/doc/start/android.php">Android</a>
        </li>
                    <li class="javascript">
           <a href="/doc/start/javascript.php">JavaScript</a>
        </li>
                    <li class="python">
           <a href="/doc/start/python.php">Python</a>
        </li>
                    <li class="ruby">
           <a href="/doc/start/ruby.php">Ruby</a>
        </li>
                    <li class="ios">
           <a href="/doc/start/ios.php">iOS</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Core Concepts</strong></p>
    <ul class="topics ">
                    <li class="core_concepts">
           <a href="/doc/articles/core_concepts.php">Overview</a>
        </li>
                    <li class="data_structure">
           <a href="/doc/articles/data_structure.php">Data Structure</a>
        </li>
                    <li class="error_handling">
           <a href="/doc/articles/error_handling.php">Error Handling</a>
        </li>
                    <li class="testing">
           <a href="/doc/articles/testing.php">The Sandbox</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Authentication</strong></p>
    <ul class="topics ">
                    <li class="dev_tokens">
           <a href="/doc/articles/dev_tokens.php">Developer Tokens</a>
        </li>
                    <li class="authentication">
           <a href="/doc/articles/authentication.php">OAuth</a>
        </li>
                    <li class="permissions">
           <a href="/doc/articles/permissions.php">Permissions</a>
        </li>
                    <li class="revoked_expired_auth">
           <a href="/doc/articles/revoked_expired_auth.php">Revocation and Expiration</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Rate Limits</strong></p>
    <ul class="topics ">
                    <li class="rate_limits">
           <a href="/doc/articles/rate_limits.php">Overview</a>
        </li>
                    <li class="rate_limit_best_practices">
           <a href="/doc/articles/rate_limit_best_practices.php">Best Practices</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Notes</strong></p>
    <ul class="topics ">
                    <li class="creating_notes">
           <a href="/doc/articles/creating_notes.php">Creating Notes</a>
        </li>
                    <li class="note-sharing">
           <a href="/doc/articles/note-sharing.php">Sharing Notes</a>
        </li>
                    <li class="reminders">
           <a href="/doc/articles/reminders.php">Reminders</a>
        </li>
                    <li class="read_only_notes">
           <a href="/doc/articles/read_only_notes.php">Read-only Notes</a>
        </li>
                    <li class="enml">
           <a href="/doc/articles/enml.php">ENML</a>
        </li>
                    <li class="note_links">
           <a href="/doc/articles/note_links.php">Note Links</a>
        </li>
                    <li class="application_data">
           <a href="/doc/articles/application_data.php">Application Data</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Notebooks</strong></p>
    <ul class="topics ">
                    <li class="sharing">
           <a href="/doc/articles/sharing.php">Sharing Notebooks</a>
        </li>
                    <li class="app_notebook">
           <a href="/doc/articles/app_notebook.php">App Notebooks</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Attachments</strong></p>
    <ul class="topics ">
                    <li class="resources">
           <a href="/doc/articles/resources.php">Overview</a>
        </li>
                    <li class="image_recognition">
           <a href="/doc/articles/image_recognition.php">Recognition</a>
        </li>
                    <li class="thumbnails">
           <a href="/doc/articles/thumbnails.php">Thumbnails</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Search</strong></p>
    <ul class="topics ">
                    <li class="search">
           <a href="/doc/articles/search.php">Overview</a>
        </li>
                    <li class="find_related">
           <a href="/doc/articles/find_related.php">Related Notes</a>
        </li>
                    <li class="search_grammar">
           <a href="/doc/articles/search_grammar.php">Search Grammar</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Synchronization</strong></p>
    <ul class="topics ">
                    <li class="synchronization">
           <a href="/doc/articles/synchronization.php">Overview</a>
        </li>
                    <li class="polling_notification">
           <a href="/doc/articles/polling_notification.php">Webhooks</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Business</strong></p>
    <ul class="topics ">
                    <li class="business">
           <a href="/doc/articles/business.php">Overview</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Local Scripting</strong></p>
    <ul class="topics ">
                    <li class="android_intents">
           <a href="/doc/articles/android_intents.php">Android</a>
        </li>
                    <li class="applescript">
           <a href="/doc/articles/applescript.php">Mac</a>
        </li>
                    <li class="enscript">
           <a href="/doc/articles/enscript.php">Windows</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
    <div class="">
    <p><strong>Bootstrapping</strong></p>
    <ul class="topics ">
                    <li class="bootstrap">
           <a href="/doc/articles/bootstrap.php">China (YXBJ)</a>
        </li>
        </ul>
    </div><!-- end indv. section -->
</div>
					</div>
					<!-- End Sidebar -->
				</div>

				<!-- End Main Content and Sidebar -->

			</div>

			    <div id="feed"></div>
	<div id="newsletter">
		<div class="row">
			<div class="eight columns">
				<h5>Stay on top of what's happening in the Evernote developer community.</h5>
			</div>
			<div class="four columns">
				<div class="row collapse">
					<form method="post" action="https://evernote.us2.list-manage.com/subscribe?u=dba73803ee7709f3fbd07c365&amp;id=09b91432f7">
						<div class="eight mobile-three columns">
							<input type="email" value="Your email address" id="mce-EMAIL" name="EMAIL" class="hasInputDefault" required>
						</div>
						<div class="four mobile-one columns">
							<input type="submit" value="Sign Up" name="subscribe" id="mc-embedded-subscribe" class="postfix small button expand" href="#">
						</div><!-- exit .four .mobile-one -->
					</form>
				</div><!-- exit .row .collapse -->
			</div><!-- exit .four .columns -->
		</div><!-- exit .row -->
	</div><!-- exit #newsletter -->
	<footer class="">
		<div class="twelve columns">
			<div class="row">
				<div class="two columns ">
					<ul>
						<li><a href="https://evernote.com/products/">Products</a></li>
						<li><a href="https://evernote.com/pricing/">Pricing</a></li>
						<li><a href="https://evernote.com/contact/support/">Support</a></li>
						<li><a href="https://blog.evernote.com/tech/">Blog</a></li>
					</ul>

				</div><!-- exit .two .columns -->
				<div class="two columns">
					<ul>
						<li><a href="https://evernote.com/corp/">About</a></li>
						<li><a href="https://evernote.com/careers/">Careers</a></li>
						<li><a href="https://evernote.com/legal/">Legal</a></li>
						<li><a href="https://evernote.com/legal/tos.php">Terms</a></li>
					</ul>
				</div><!-- exit .two .columns -->
				<div class="two columns">
					<ul>
						<li><a href="https://evernote.com/legal/privacy.php">Privacy</a></li>
						<li><a href="https://evernote.com/security/">Security</a></li>
						<li><a href="https://evernote.com/contact/">Contact</a></li>
					</ul>		
	
				</div><!-- exit .two .columns -->
				<div class="two columns">
					
				</div><!-- exit .two .columns -->
				<div class="two columns offset-by-two">
					<div id="social_icons">
						<a href="https://facebook.com/evernote/"><img src="/media/images/facebook-24x24.png" alt="Facebook icon"></a>
						<a href="https://www.youtube.com/user/EvernoteVideos"><img src="/media/images/youtube-24x24.png" alt="YouTube icon"></a>
					</div><!-- exit .social_icons -->
				</div><!-- exit .two .columns .offset-by-two -->
			</div><!-- exit .row -->
		</div><!-- exit .twelve -->
	</footer><!-- exit footer -->

    <!-- Included JS Files (Compressed) -->
    <!-- CDN hosted JQuery with a local fallback -->
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.8.1/jquery.js"></script>
    <script type="text/javascript">
    if (typeof jQuery == 'undefined') {
        document.write(unescape("%3Cscript src='/foundation/javascripts/jquery.js' type='text/javascript'%3E%3C/script%3E"));
    }
    </script>
    <script src="/foundation/javascripts/jquery.foundation.forms.js"></script>
    <script src="/foundation/javascripts/foundation.min.js"></script>
    <script src="/foundation/javascripts/endev.foundation.js"></script>

    <!-- Initialize JS Plugins -->
    <script src="/foundation/javascripts/app.js"></script>

    <script src="//code.jquery.com/ui/1.9.2/jquery-ui.js" type="text/javascript"></script>
    <script src="/zendesk/js/forms/jquery.validate.js" type="text/javascript"></script>
<script id="zdforms-config" type="application/json">
  {
    "urlPrefix": "/",
    "messages": {
      "confirm": "Are you sure that you've entered your Consumer Key (and not your Consumer Secret)?",
      "thanks": "We've received your request. Thanks!",
      "error": "There was an error processing your request.",
      "forms": {
        "titles": {
          "support": "Webhook Request",
          "activation": "Activation Request",
          "appcenter": "App Center Inclusion Request",
          "squarespace": "Squarespace Account Request"
        },
        "validationErrors": {
          "required": "Required",
          "invalidUrl": "Invalid URL"
        }
      }
    }
  }
</script>
<script src="/zendesk/js/zdforms.js" type="text/javascript"></script>
    <script src="/media/js/apikeyform.js" type="text/javascript"></script>
    <script src="/media/js/formdefault.js" type="text/javascript"></script>

    
<script type="text/javascript">
    var currentFile = 'testing';
</script>   
<script src="/media/js/nav_highlight.js" type="text/javascript"></script>
<!-- search -->
<script src="/media/js/support.js" type="text/javascript"></script>
<!-- rss feed -->
<script src="/media/js/jquery.jfeed.js" type="text/javascript"></script>
<script type="text/javascript" charset="utf-8">

    function loadFeedItems(feed){
        var coin = '<div class="two columns mobile-one"><i class="gen-enclosed foundicon-page coin"></i></div>'
        for(var i=0; i < 4; i++){
            var row = $("<div/>", { 'class': 'row' });
            $(row).append(coin);
            var link = $("<a/>", {
                href: feed.items[i].link,
                text: feed.items[i].title,
                target: '_blank'
            });
            var container = $("<div/>", { 'class': 'ten columns' });   
            $(container).append(link);
            $(row).append(container);
            $("div#updates").append(row);
        }
    }
    $(function(){
        jQuery.getFeed({
            url: '/ajax/feed_proxy.php',
            success: loadFeedItems
        });
    });
</script>

    <script type="text/javascript">
    /* <![CDATA[ */
        // Begin Google Analytics Asynchronous Snippet
          var _gaq = _gaq || [];
          _gaq.push(['_setAccount', 'UA-285778-51']);
          _gaq.push(['_setDomainName', '.evernote.com']);	  
          _gaq.push(['_trackPageview']);
                (function() {
            var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
            ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
            var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
          })();
        // End Google Analytics Asynchronous Snippet
    /* ]]> */
    </script>
<script type="text/javascript" src="/media/js/tabbed.js" charset="utf-8"></script>
<script type="text/javascript" src="/media/js/tracking.js" charset="utf-8"></script>

<script type="text/javascript">
  var _sf_async_config = { uid: 40065, domain: 'dev.evernote.com', useCanonical: true };
  (function() {
    function loadChartbeat() {
      window._sf_endpt = (new Date()).getTime();
      var e = document.createElement('script');
      e.setAttribute('language', 'javascript');
      e.setAttribute('type', 'text/javascript');
      e.setAttribute('src','//static.chartbeat.com/js/chartbeat.js');
      document.body.appendChild(e);
    };
    var oldonload = window.onload;
    window.onload = (typeof window.onload != 'function') ?
      loadChartbeat : function() { oldonload(); loadChartbeat(); };
  })();
</script>



</div><!-- exit .summa-->  
</body>
</html>
